# Use rpmbuild --without gcj to disable native bits
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		jcommon-serializer
Version:	0.3.0
Release: 	1
Summary: 	JFree Java General Serialization Framework
License: 	LGPLv2+
Group: 		System/Libraries
Source0: 	http://downloads.sourceforge.net/jfreereport/%{name}-%{version}.tar.gz
Source1: 	http://downloads.sourceforge.net/jfreereport/libserializer-1.0.0-OOo31.zip
Patch1: 	jcommon-serializer-0.3.0-depends.patch
URL: 		http://www.jfree.org/jfreereport/jcommon-serializer
BuildRequires: 	ant, java-devel, jpackage-utils, jcommon libbase
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	java, jpackage-utils, jcommon
%if %{with_gcj}
BuildRequires: java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch: noarch
%endif


%description
Jcommon-serializer is a general serialization framework used by JFreeChart,
JFreeReport and other projects.

%package javadoc
Summary: 	Javadoc for %{name}
Group: 		Development/Documentation
Requires: 	%{name} = %{version}-%{release}
Requires: 	jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch1 -p1 -b .depends
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib libbase commons-logging-api
unzip -qq %{SOURCE1} -d serializer
cd serializer
mkdir -p lib
build-jar-repository -s -p lib libbase commons-logging-api

%build
ant compile javadoc
cd serializer
ant jar

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p serializer/build/lib/libserializer.jar $RPM_BUILD_ROOT%{_javadir}/libserializer.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc ChangeLog.txt licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar
%{_javadir}/libserializer.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Sun May 31 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.0-1
- Version update
* Wed Oct 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0-1
- Initial release
